if not PriorityQueue then return end

if select(2, UnitClass('player')) ~= "PALADIN" then
	return
end

local L = LibStub("AceLocale-3.0"):GetLocale("PriorityQueue")
local C = PriorityQueue.constants -- Defined in PriorityQueue LUA no locale needed.

C["Holy Shield"], _, C["Holy Shield Icon"] = GetSpellInfo(48952)
C["Hammer of the Righteous"], _, C["Hammer of the Righteous Icon"] = GetSpellInfo(53595)
C["Judgement of Wisdom"], _, C["Judgement of Wisdom Icon"] = GetSpellInfo(53408)
C["Shield of Righteousness"], _, C["Shield of Righteousness Icon"] = GetSpellInfo(61411)
C["Consecration"], _, C["Consecration Icon"] = GetSpellInfo(48819)

---------------------------
-- Paladin Priorities
---------------------------

function PriorityQueue:GetPaladinPriorityDefaults()
	-- need a function to work out spec for now fixed values
	self.presets.priorities.name["Protection"] =  L["Protection"]
	self.presets.priorities.list["Protection"] = { "hs", "hotr",  "jow",  "sor", "con", "none", "none", "none", "none", "none" }
	self.presets.default = "Protection"
end

PriorityQueue.priorityTable.name["hs"] = C["Holy Shield"]
PriorityQueue.priorityTable.icon["hs"] = C["Holy Shield Icon"]
PriorityQueue.priorityTable.test["hs"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Holy Shield"])
	end 

PriorityQueue.priorityTable.name["hotr"] = C["Hammer of the Righteous"]
PriorityQueue.priorityTable.icon["hotr"] = C["Hammer of the Righteous Icon"]
PriorityQueue.priorityTable.test["hotr"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Hammer of the Righteous"])
	end 

PriorityQueue.priorityTable.name["jow"] = C["Judgement of Wisdom"]
PriorityQueue.priorityTable.icon["jow"] = C["Judgement of Wisdom Icon"]
PriorityQueue.priorityTable.test["jow"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Judgement of Wisdom"])
	end 

PriorityQueue.priorityTable.name["sor"] = C["Shield of Righteousness"]
PriorityQueue.priorityTable.icon["sor"] = C["Shield of Righteousness Icon"]
PriorityQueue.priorityTable.test["sor"] =  
	function () 
		return PriorityQueue:SpellAvailable(C["Shield of Righteousness"])
	end 
	
PriorityQueue.priorityTable.name["con"] = C["Consecration"]
PriorityQueue.priorityTable.icon["con"] = C["Consecration Icon"]
PriorityQueue.priorityTable.test["con"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Consecration"])
	end
