if not PriorityQueue then return end

if select(2, UnitClass('player')) ~= "WARRIOR" then
	return
end

local L = LibStub("AceLocale-3.0"):GetLocale("PriorityQueue")
local C = PriorityQueue.constants -- Defined in PriorityQueue LUA no locale needed.

C["Execute"], _, C["Execute Icon"] = GetSpellInfo(5308)
C["Shield Slam"], _, C["Shield Slam Icon"] = GetSpellInfo(23922)
C["Revenge"], _, C["Revenge Icon"] = GetSpellInfo(6572)
C["Devastate"], _, C["Devastate Icon"] = GetSpellInfo(20243)
C["Concussion Blow"], _, C["Concussion Blow"] = GetSpellInfo(12809)
C["Shockwave"], _, C["Shockwave Icon"] = GetSpellInfo(46968)

---------------------------
-- Mage Priorities
---------------------------

function PriorityQueue:GetWarriorPriorityDefaults()
	-- need a function to work out spec for now fixed values
	self.presets.priorities.name["Fury"] =  L["Fury"]
	self.presets.priorities.list["Fury"] = { "ex", "none",  "none",  "none", "none", "none", "none", "none", "none", "none" }
	self.presets.priorities.name["Protection"] =  L["Protection"]
	self.presets.priorities.list["Protection"] = { "ss", "rev",  "dev",  "cb", "sw", "none", "none", "none", "none", "none" }
	self.presets.default = "Protection"
end

PriorityQueue.priorityTable.name["ex"] = C["Execute"]
PriorityQueue.priorityTable.icon["ex"] = C["Execute Icon"]
PriorityQueue.priorityTable.test["ex"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Execute"]) 
	end 

PriorityQueue.priorityTable.name["ss"] = C["Shield Slam"]
PriorityQueue.priorityTable.icon["ss"] = C["Shield Slam Icon"]
PriorityQueue.priorityTable.test["ss"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Shield Slam"]) 
	end 

PriorityQueue.priorityTable.name["rev"] = C["Revenge"]
PriorityQueue.priorityTable.icon["rev"] = C["Revenge Icon"]
PriorityQueue.priorityTable.test["rev"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Revenge"]) 
	end 

PriorityQueue.priorityTable.name["dev"] = C["Devastate"]
PriorityQueue.priorityTable.icon["dev"] = C["Devastate Icon"]
PriorityQueue.priorityTable.test["dev"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Devastate"]) 
	end 

PriorityQueue.priorityTable.name["cb"] = C["Concussion Blow"]
PriorityQueue.priorityTable.icon["cb"] = C["Concussion Blow Icon"]
PriorityQueue.priorityTable.test["cb"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Concussion Blow"]) 
	end 
	
PriorityQueue.priorityTable.name["sw"] = C["Shockwave"]
PriorityQueue.priorityTable.icon["sw"] = C["Shockwave Icon"]
PriorityQueue.priorityTable.test["sw"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Shockwave"]) 
	end 